| Classes - Annotated - Tree - Functions - Home - Structure

# QCDEStyle Class Reference

CDE Look and Feel More...

`#include <qcdestyle.h>`

Inherits QMotifStyle.

List of all member functions.

## Public Members

- QCDEStyle ( bool useHighlightCols = FALSE )
- virtual ~QCDEStyle ()

## Detailed Description

CDE Look and Feel

This style provides a slightly improved Motif look similar to some versions of the Common Desktop Environment (CDE). The main difference are thinner frames and more modern radio buttons and check boxes. Together with a dark background and a bright text/foreground color, the style looks quite attractive (at least for Motif fans).

## Member Function Documentation

### QCDEStyle::QCDEStyle ( bool useHighlightCols = FALSE )

Constructs a QCDEStyle

If useHighlightCols is FALSE (the default value), then the style will polish the application's color palette to emulate the Motif way of highlighting, which is a simple inversion between the base and the text color.

### QCDEStyle::~QCDEStyle () `[virtual]`

Destructs the style.

### int QCDEStyle::defaultFrameWidth () const `[virtual]`

Reimplemented for internal reasons; the API is not affected.

Reimplemented from QStyle.

### void QCDEStyle::drawArrow ( QPainter * p, ArrowType type, bool down, int x, int y, int w, int h, const QColorGroup & g, bool enabled, const QBrush * = 0 )

Reimplemented for internal reasons; the API is not affected.

### void QCDEStyle::drawExclusiveIndicator ( QPainter * p, int x, int y, int w, int h, const QColorGroup & g, bool on, bool down = FALSE, bool = TRUE ) `[virtual]`

Reimplemented for internal reasons; the API is not affected.

Reimplemented from QStyle.

### void QCDEStyle::drawIndicator ( QPainter * p, int x, int y, int w, int h, const QColorGroup & g, int s, bool down = FALSE, bool = TRUE ) `[virtual]`

Reimplemented for internal reasons; the API is not affected.

Reimplemented from QStyle.

Search the documentation, FAQ, qt-interest archive and more (uses www.trolltech.com):

This file is part of the Qt toolkit, copyright © 1995-2001 Trolltech, all rights reserved.